.section	".rodata"
.align	8
.section	".text"
foo_12:
	st	%l1, [%i0 + 0]
	st	%l0, [%i0 + 4]
	st	%i5, [%i0 + 8]
	st	%i4, [%i0 + 12]
	st	%i3, [%i0 + 16]
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ld	[%i0 + 16], %i2
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ld	[%i0 + 12], %i2
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ld	[%i0 + 8], %i2
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ld	[%i0 + 4], %i2
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ld	[%i0 + 0], %i2
	b	min_caml_print_int
	nop
bar_19:
	mov	%l1, %o4
	mov	%i4, %l1
	mov	%i5, %i4
	mov	%l0, %i5
	mov	%o4, %l0
	mov	%i3, %o4
	mov	%i2, %i3
	mov	%o4, %i2
	b	foo_12
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	1, %i2
	set	2, %i3
	set	3, %i4
	set	4, %i5
	set	5, %l0
	set	6, %l1
	st	%o7, [%i0 + 4]
	call	bar_19
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
